require: rubocop-rspec

inherit_from: .rubocop_todo.yml

AllCops:
  TargetRubyVersion: 3.0
  NewCops: enable

Layout/MultilineMethodCallIndentation:
  EnforcedStyle: indented

Metrics/AbcSize:
  Max: 84

Metrics/ClassLength:
  Max: 200

RSpec/ExampleLength:
  Max: 20

RSpec/MessageSpies:
  Enabled: false

Metrics/MethodLength:
  Max: 41

RSpec/MultipleExpectations:
  Max: 10

RSpec/StubbedMock:
  Enabled: false
